# L2 inversion results

gpar = label1='Z (m)' label2='Amplitude' >/dev/null

viewall: viewData viewL2 viewL2spike viewL1spike viewL1sparse viewL1spikysparse

viewL2:	rtm/l2_rtm.H rtm/l2_inv_iter200.H 
	Cat rtm/l2_rtm.H rtm/l2_inv_iter200.H Input/refl1D.H axis=3 > comb.H
	Graph < rtm/l2_rtm.H title='L2 rtm' ${gpar} out=t1.v
	Graph < rtm/l2_inv_iter200.H title='L2 Inv' ${gpar} out=t2.v
	Graph < Input/refl1Dbp.H title='L2 model' ${gpar} out=t3.v	
	tube t1.v t2.v t3.v

viewL2spike: rtm/l2_inv_iter200_spiky.H 
	Graph < rtm/l2_inv_iter200_spiky.H title='L2 Inv' ${gpar} out=t2.v
	tube t2.v 

viewL1spike: rtm/hy_inv_200_spiky.H
	Graph < rtm/hy_inv_200_spiky.H title='HPF data space' ${gpar} out=t.v
	tube t.v

viewL1spikysparse: rtm/hy_inv_200_spiky_sparse.H
	Graph < rtm/hy_inv_200_spiky_sparse.H title='HPF data and model space' ${gpar} out=t.v
	tube t.v

viewL1sparse: rtm/hy_inv_200.H
	Graph < rtm/hy_inv_200.H title='HPF model space' ${gpar} out=t.v
	tube t.v

gpar2= label1='Time (s)' label2="Amplitude"
viewData: Data/syndataspikynoise.H Data/syndata.H
	Graph < Data/syndataspikynoise.H title="Contaminated data with spikes" ${gpar2} out=1.v > /dev/null 
	Graph < Data/syndata.H title="Modeded data" ${gpar2} out=2.v > /dev/null 
	tube 1.v 2.v
